Bug 750986 - AutoSpellCheckDictionaryInstalled: procedure to add spell check dictionary for gedit, abiword, libreoffice, etc.
AutoSpellCheckDictionaryInstalled: procedure to add spell check dictionary fo...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
16
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
: 505487 750981 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-03 01:47 EDT by collura
Modified: 2013-02-13 09:34 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:34:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description collura 2011-11-03 01:47:45 EDT
Description of problem:

  not immediately obvious how to add languages to gedit spell checker

  the gedit-tools-set_language help isnt done yet:

    "Page Not Found
     The page ‘gedit-spell-checker-plugin’ was not found in 
       the document ‘ghelp:gedit’."

Version-Release number of selected component (if applicable):

  in fc16-gnome-rc2 :

    gedit-2:3.2.1-1.fc16 (64bit)

How reproducible:

  always

Steps to Reproduce:
1. go to gedit-tools-set_language-help
2. help window pops up with the above 'Page Not Found' error
3. 
  
Actual results:

  pay a tribute to the usenet oracle to psychicly divine 
  the need to install hunspell-$2digitcountrycode 
  spell check dictionary to add language to the gedit-tools-set_language list

Expected results:

  procedure to install spell check dictionary should be in 
  the missing popup help file of the
  language select dialog so dont have to randomly read 
  ( ex: http://git.gnome.org/browse/gedit/tree/plugins/spell/gedit-spell-checker.c?id=271ad3e3da91618435bf682becb6c246fbdabac0 )
  looking for whether hunspell or aspell spell checker was one of what 
  enchant might want to call so you can try to install the appropriate 
  dictionary rpm  :')

Additional info:
Comment 1 Caolan McNamara 2012-08-01 04:51:08 EDT
*** Bug 750981 has been marked as a duplicate of this bug. ***
Comment 2 Caolan McNamara 2012-08-01 04:57:18 EDT
Similarly to http://fedoraproject.org/wiki/Features/AutoFontsAndMimeInstaller it'd be nice to have autoprovides on the hunspell-XX and voikko packages of (spell :lang=XX) so that LibreOffice/AbiWord could ask package kit to install a dictionary for a given language if their asked to spell-checking something for which they haven't found a dictionary for. Similarly gedit could ask for a spell-checking dictionary for $LANG if not found.
Comment 3 Caolan McNamara 2012-08-03 03:38:48 EDT
*** Bug 505487 has been marked as a duplicate of this bug. ***
Comment 4 Fedora End Of Life 2013-01-16 08:42:20 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 09:34:53 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.